# OrdinaryGacha
OrdinaryGacha เป็นแพ็กเกจสำหรับช่วยในการทำระบบสุ่มกาชาธรรมดา
## _ความสามารถของแพ็กเกจ_
- เพิ่มไอเทมในระบบกาชาโดยสามารถกำหนดอัตราดรอป สำหรับไอเทมแต่ละชิ้นได้
- แสดงไอเทมทั้งหมดที่มีในระบบกาชา
- ลบไอเทมที่ต้องการออกจากระบบกาชาด้วยชื่อไอเทม
- สุ่มไอเทมตามอัตราดรอปที่กำหนด
## วิธีติดตั้ง
```sh
pip install OrdinaryGacha
```
#### วิธีเพิ่มไอเทม
```sh
gacha.add(${ชื่อไอเทม}, ${อัตราดรอป})
```
#### วิธีแสดงไอเทม
```sh
gacha.show()
```
#### วิธีลบไอเทม
```sh
gacha.remove(${ชื่อไอเทม})
```
#### วิธีสุ่มไอเทม
```sh
gacha.random()
```
#### ตัวอย่าง
```sh
from OrdinaryGacha import Gacha

if __name__ == '__main__':
    gacha = Gacha()
    gacha.add('100 เหรียญ', 20)
    gacha.add('200 เหรียญ', 15)
    gacha.add('300 เหรียญ', 10)
    gacha.add('500 เหรียญ', 4)
    gacha.add('แพ้', 1)
    gacha.add('เฉลย', 30)
    gacha.add('เวลาปัจจุบัน X2', 20)
    gacha.remove("เวลาปัจจุบัน X2")
    print('ไอเทมที่อยู่ในระบบกาชา')
    gacha.show()
    print('ไอเทมที่ได้จากการสุ่ม')
    for i in range(5):
        print(f'รอบที่ {i+1}: {gacha.random()}')
```
#### ผลลัพธ์
```sh
ลบ เวลาปัจจุบัน X2 สำเร็จ
ไอเทมที่อยู่ในระบบกาชา
ชื่อไอเทม: 100 เหรียญ, อัตราการดรอป: 20
ชื่อไอเทม: 200 เหรียญ, อัตราการดรอป: 15
ชื่อไอเทม: 300 เหรียญ, อัตราการดรอป: 10
ชื่อไอเทม: 500 เหรียญ, อัตราการดรอป: 4
ชื่อไอเทม: แพ้, อัตราการดรอป: 1
ชื่อไอเทม: เฉลย, อัตราการดรอป: 30
ไอเทมที่ได้จากการสุ่ม
รอบที่ 1: เฉลย
รอบที่ 2: เฉลย
รอบที่ 3: 200 เหรียญ
รอบที่ 4: เฉลย
รอบที่ 5: เฉลย
```